OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions
sdl.h File Reference

SDL support. More...

Go to the source code of this file.

## Functions
const char * | SdlOpen (uint32 x)
| Open the SDL library.
void | SdlClose (uint32 x)
| Close the SDL library.

## Detailed Description

SDL support.

Definition in file sdl.h.

## Function Documentation

void SdlClose | ( | uint32 | x | ) |

Close the SDL library.

Parameters

  x | The subsystem to close.

Definition at line 109 of file sdl.cpp.

References _sdl_usage.

Referenced by SoundDriver_SDL::Stop(), and VideoDriver_SDL::Stop().

const char* SdlOpen | ( | uint32 | x | ) |

Open the SDL library.

Parameters

  x | The subsystem to load.

Definition at line 88 of file sdl.cpp.

References _sdl_usage.

Referenced by SoundDriver_SDL::Start(), and VideoDriver_SDL::Start().